<? $DEFINITIONS = Zend_Registry::get('defines') ?>
<? $this->layout()->disableLayout() ?>

<style type="text/css">
	#edit-images-container {
		padding: 10px 0;
		margin-left: 5px;
	}
	#edit-images-container img{
		padding: 0 5px;
		margin-bottom: 5px;
	}
	#edit-images-container img:first-child{
		padding-left: 0;
	}
	.edit-images-item{
		display: block;
		float: left;
	}
	.edit-images-item .remove{
		display: block;
		text-align: center;
		padding-bottom: 5px;
	}
</style>

<script type="text/javascript">
	function removeImage(id){
		if ( confirm('Are you sure you want to delete this image?') ) {
			new Request({
				url: '/client--hotel-blacklist/remove-image?id=' + id,
				onSuccess: function (resp) {
					$$('.edit-images-item[image_id='+id+']').destroy();
				}.bind(this)
			}).send();	
		}
	}
</script>

<form class="form-common" action="<?= $this->baseUrl() ?>/client-blacklist/edit" method="post" id="agency">
	
	<input type="hidden" name="id" value="<?= $this->data->bl_id ?>" />

	

	
	
	<fieldset class="fleft mt5 mr5">
		<legend for="comment">Client Info</legend>

		<div class="inner">
			<label>Escort/Agency Username</label>
			<input type="text" class="txt w18" value="<?= $this->data->username ?>" name="username" disabled="disabled" />
		</div>
		<div class="clear"></div>
		<br/>
		<div class="inner">
			<label>Client Name</label>
			<input type="text" class="txt w18" value="<?= $this->data->client_name ?>" name="client_name" />
		</div>
		
		<div class="inner">
			<label>Client Phone</label>
			<input type="text" class="txt w18" value="<?= $this->data->client_phone ?>" name="client_phone" />
		</div>
		<div class="clear"></div>

		<div class="inner">
			<label>Comment</label>
			<textarea class="txt" style="height: 125px; width: 450px;" name="comment" id="comment"><?= $this->data->comment ?></textarea>
		</div>
		<div class="clear"></div>
		<div id="edit-images-container">
			<? foreach($this->data->images as $image): ?>
				<div class="edit-images-item" image_id="<?= $image['id']?>" >
					<a class="highslide" onclick="return hs.expand(this)" href="<?= $image['original'] ?>"><img src="<?= $image['thumb']?>"></a>
					<a class="remove" onClick='(removeImage("<?= $image['id']?>"))' href="javascript:void(0)">remove</a>
				</div>
			<? endforeach; ?>
		</div>
		<div class="clear"></div>
		<div id="filecontrol-edit" class="half"></div>
	</fieldset>
  	
	<div class="clear"></div>	
</form>
